## p910nd 0.94

=== Makefile ===
# Comment out line bellow if you don't want to use 
# libwrap (hosts.{allow,deny} access control)
ifneq ($(USE_WRAP),)
LIBS += -lwrap
DEFINES += -DUSE_LIBWRAP
endif

# If you don't have it in /var/log/subsys, uncomment and define
#CFLAGS += -DLOCKFILE_DIR=\"/var/log\"

# GNU target string
CROSS = 

CC = $(CROSS)gcc
STRIP = $(CROSS)strip

CFLAGS += -O2  -Wall

PROG = p910nd
CONFIG = p910nd.conf
INITSCRIPT = p910nd.init
MANPAGE = p910nd.8
INSTALL = install
BINDIR = /usr/sbin
CONFIGDIR = /etc/sysconfig
SCRIPTDIR = /etc/init.d
MANDIR = /usr/share/man/man8

$(PROG):	p910nd.c
	$(CC) -o $@ $^ $(CFLAGS) $(DEFINES) $(LIBS)

strip: $(PROG)
	$(STRIP) -s $(PROG)

install: $(PROG) $(CONFIG) $(INITSCRIPT) $(MANPAGE)
	mkdir -p $(DESTDIR)$(BINDIR) $(DESTDIR)$(CONFIGDIR) \
		$(DESTDIR)$(SCRIPTDIR) $(DESTDIR)$(MANDIR)
	$(INSTALL) $(PROG) $(DESTDIR)$(BINDIR)
	$(INSTALL) -m 644 $(CONFIG) $(DESTDIR)$(CONFIGDIR)/$(PROG)
	$(INSTALL) $(INITSCRIPT) $(DESTDIR)$(SCRIPTDIR)/$(PROG)
	$(INSTALL) -m 644 $(MANPAGE) $(DESTDIR)$(MANDIR)

.PHONY: clean
clean:
	rm -f *.o $(PROG)

=== debian/changelog ===
p910nd (0.94-1) unstable; urgency=low

  * New upstream version
  * Switch from cdbs + dpatch to dh7 + quilt
  * New patch 60-fix-sin-addr-sockaddr.patch:
    - Use get_ip_str instead of inet_ntoa 
      (struct sockaddr_storage don't have sin_addr or sin_port)
  * Generate upstream changelog from p910nd.c headers
  * Remove 50-change-lock-dir:
    - Use Makefile LOCKFILE_DIR instead
  * Add README.Debian (Closes: #607852)

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Tue, 15 Feb 2011 14:37:28 +0100

p910nd (0.93-3) unstable; urgency=low

  * Add debian/README.source (Debian Policy manual, section 4.14)
  * Standards-Version bumped to 3.9.1 (no changes needed)

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Tue, 28 Sep 2010 15:34:43 +0200

p910nd (0.93-2) unstable; urgency=low

  * Fix debian/p910nd.init:
    - Rename PIDFILE p910nd => p9100d
    - Set verbose by default 
  * Standards-Version bumped to 3.8.2:
    debian/p910nd.init fixed, /var/run and /var/lock/p190nd created on init.d
    script, since these 2 dirs could be mounted as a temporary filesystem.
  * debian/p910nd.init:
    - Fix LSB start/stop and depends headers (Closes: #541250)

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Wed, 12 Aug 2009 20:46:09 +0200

p910nd (0.93-1) unstable; urgency=low

  * Initial version (Closes: #514615)

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Sun, 22 Feb 2009 15:36:51 +0100

=== debian/control ===
Source: p910nd
Section: net
Priority: extra
Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), libwrap0-dev
Standards-Version: 3.9.1
Homepage: http://p910nd.sourceforge.net/

Package: p910nd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: small printer daemon intended for diskless workstations
 p910nd is a small daemon that copies any data received on the port it
 is listening on to the corresponding printer port.
 .
 It is primarily intended for diskless Linux hosts running as printer 
 drivers but there is no reason why it could not be used on diskful hosts.
 .
 Port 9100 is copied to /dev/lp0, 9101 to /dev/lp1 and 9102 to /dev/lp2.
 The default is port 9100 to /dev/lp0.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1


override_dh_auto_clean:
	rm -f changelog
	dh_auto_clean

override_dh_auto_build:
	$(MAKE) USE_WRAP=1 LOCKFILE_DIR=\"/var/lock/p910nd\"
	# upstream don't provive changelog file, generate from p910nd.c header
	head -88 p910nd.c | tail -71 | sed -e 's/ \*//g' > changelog

override_dh_installinit:
	dh_installinit --update-rcd-params='start 20 2 3 4 5 . stop 20 0 1 6 .'

%:
	dh $@

## p910nd 0.95

=== debian/changelog ===
p910nd (0.95-1) unstable; urgency=low

  * New upstream version
  * Standards-Version bumped to 3.9.2 (no changes needed)
  * Remove patch 60-fix-sin-addr-sockaddr.patch (upstream applied)
  * Add 50-use-var-lock-p910nd-instead-off-var-lock-subsys.patch:
    - Use /var/lock/p910nd instead of /var/lock/subsys
      (Closes: #634225) (LP: #884658) (LP: #548739)

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Mon, 14 Nov 2011 23:04:00 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,10 @@
 Priority: extra
 Maintainer: Mario Izquierdo (mariodebian) <mariodebian@gmail.com>
 Build-Depends: debhelper (>= 7.0.50~), libwrap0-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://p910nd.sourceforge.net/
+Vcs-Git: http://tcosproject.org/git/p910nd.git
+Vcs-Browser: http://tcosproject.org/cgit/p910nd.git
 
 Package: p910nd
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1


override_dh_auto_clean:
	rm -f changelog
	dh_auto_clean

override_dh_auto_build:
	$(MAKE) USE_WRAP=1 LOCKFILE_DIR=\"/var/lock/p910nd\"
	# upstream don't provide changelog file, generate from p910nd.c header
	head -93 p910nd.c | tail -75 | sed -e 's/ \*//g' > changelog

override_dh_installinit:
	dh_installinit --update-rcd-params='start 20 2 3 4 5 . stop 20 0 1 6 .'

%:
	dh $@

## p910nd 0.97

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Comment out line bellow if you don't want to use 
+# Define USE_WRAP if you want to compile with
 # libwrap (hosts.{allow,deny} access control)
 ifneq ($(USE_WRAP),)
 LIBS += -lwrap

=== debian/changelog ===
p910nd (0.97-2) unstable; urgency=medium

  * QA upload.
    Closes: #1104687

  [ Andreas Tille ]
  * Move packaging Git to Salsa since former repository vanished
  * Homepage moved to Github, point watch file to Github
    Closes: #980514
  * d/copyright: DEP5
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Trim trailing whitespace.
  * Add upstream metadata
  * Pre-Depends: ${misc:Pre-Depends}
  * debian/dirs: removed
  * Permit failure of blhc in Salsa CI

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #926497)

  [ наб ]
  * debian/p910nd@.service: add, mask p910nd.service (Closes: #1039306)
  * d/README.Debian: describe systemd service setup
  * debian/postinst: add to enable p910nd@$P910ND_NUM on upgrade
  * Remove generated changelog with d/clean instead

 -- Andreas Tille <tille@debian.org>  Sat, 13 Sep 2025 07:54:19 +0200

p910nd (0.97-1) unstable; urgency=low

  * New upstream version
  * Bump standards version to 3.9.5, no changes needed

 -- Mario Izquierdo (mariodebian) <mariodebian@gmail.com>  Sun, 14 Sep 2014 16:30:00 +0200

=== debian/control ===
Source: p910nd
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libwrap0-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/p910nd
Vcs-Git: https://salsa.debian.org/debian/p910nd.git
Homepage: https://github.com/kenyapcomau/p910nd

Package: p910nd
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: small printer daemon intended for diskless workstations
 p910nd is a small daemon that copies any data received on the port it
 is listening on to the corresponding printer port.
 .
 It is primarily intended for diskless Linux hosts running as printer
 drivers but there is no reason why it could not be used on diskful hosts.
 .
 Port 9100 is copied to /dev/lp0, 9101 to /dev/lp1 and 9102 to /dev/lp2.
 The default is port 9100 to /dev/lp0.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1


override_dh_auto_build:
	dh_auto_build -- USE_WRAP=1 LOCKFILE_DIR=\"/var/lock/p910nd\"
	# upstream don't provide changelog file, generate from p910nd.c header
	head -107 p910nd.c | tail -89 | sed -e 's/ \*//g' > changelog

override_dh_installinit:
	dh_installinit --update-rcd-params='start 20 2 3 4 5 . stop 20 0 1 6 .'

execute_after_dh_installsystemd:
	ln -s /dev/null debian/p910nd/usr/lib/systemd/system/p910nd.service

%:
	dh $@

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/kenyapcomau/p910nd/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
